/*
 * Copyright (C) 2012-2019 Michael Hanrath <Michael.Hanrath@uni-koeln.de>
 *
 * This file is part of Diag2PS.
 *
 * Diag2PS is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Diag2PS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Diag2PS.  If not, see <https://www.gnu.org/licenses/>.
 */


#pragma once

#include "PosVector.H"

#include <iostream>


namespace Diag2PS { // library namespaces $$$ begin


class Circle {
public:
	Circle(PosVector const & center, double radius);

	Circle(
		PosVector const & p1,
		PosVector const & p2,
		PosVector const & p3
		);

	struct PointsOnStraightLine {};


	PosVector const & center() const
	{	return _center;	}
	
	double radius() const
	{	return _radius;	}


private:
PosVector _center;
double _radius;
};


std::ostream & operator << (std::ostream &, Circle const &);


} // library namespaces $$$ end

