/*
 * Copyright (C) 2012-2019 Michael Hanrath <Michael.Hanrath@uni-koeln.de>
 *
 * This file is part of Diag2PS.
 *
 * Diag2PS is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Diag2PS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Diag2PS.  If not, see <https://www.gnu.org/licenses/>.
 */


#include "PosVector.H"
#include "DirVector.H"

namespace Diag2PS { // library namespaces $$$ begin



PosVector::PosVector(Vector const & v) : Vector(v) {}

PosVector::PosVector(double x, double y) : Vector(x, y) {}


PosVector & PosVector::operator *= (double a)
{
	static_cast<Vector &>(*this) *= a;
	return *this;
}

PosVector & PosVector::operator += (DirVector const & l)
{
	static_cast<Vector &>(*this) += l;
	return *this;
}

PosVector & PosVector::operator -= (DirVector const & l)
{
	static_cast<Vector &>(*this) -= l;
	return *this;
}


} // library namespaces $$$ end
