/*
 * Copyright (C) 2012-2019 Michael Hanrath <Michael.Hanrath@uni-koeln.de>
 *
 * This file is part of Diag2PS.
 *
 * Diag2PS is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Diag2PS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Diag2PS.  If not, see <https://www.gnu.org/licenses/>.
 */


#include "Vector.H"

namespace Diag2PS { // library namespaces $$$ begin



Vector & Vector::operator *= (double a)
{
	x *= a;
	y *= a;
	return *this;
}


Vector & Vector::operator += (Vector const & l)
{
	x += l.x;
	y += l.y;
	return *this;
}

Vector & Vector::operator -= (Vector const & l)
{
	x -= l.x;
	y -= l.y;
	return *this;
}

std::ostream & operator << (std::ostream & o, Vector const & l)
{	return o << "(" << l.x << ", " << l.y << ")";	}


} // library namespaces $$$ end
