/*
 * Copyright (C) 2012-2019 Michael Hanrath <Michael.Hanrath@uni-koeln.de>
 *
 * This file is part of Diag2PS.
 *
 * Diag2PS is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Diag2PS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Diag2PS.  If not, see <https://www.gnu.org/licenses/>.
 */


#include "Vector_Operations.H"

namespace Diag2PS { // library namespaces $$$ begin



DirVector operator * (double a, DirVector const & b)
{	return DirVector(b) *= a;	}

DirVector operator + (DirVector const & a, DirVector const & b)
{	return DirVector(a) += b;	}

DirVector operator - (DirVector const & a, DirVector const & b)
{	return DirVector(a) -= b;	}

DirVector operator - (PosVector const & a, PosVector const & b)
{	return DirVector(Vector(a) -= b);	}

//--------------------------------------------

PosVector operator * (double a, PosVector const & b)
{	return PosVector(b) *= a;	}

PosVector operator + (PosVector const & a, PosVector const & b)
{	return PosVector(a) += DirVector(b);	}

PosVector operator + (PosVector const & a, DirVector const & b)
{	return PosVector(a) += b;	}

PosVector operator - (PosVector const & a, DirVector const & b)
{	return PosVector(a) -= b;	}

} // library namespaces $$$ end
